////////////////////////////////////////
// O[oϐ萔

////////////////////////////////////////////////////////////
// Prototype
String.prototype.trim = function()
{
    return this.replace(/(^\s*)|(\s*$)/g, "");
}

String.prototype.getFixString = function(numWidth)
{
	var strResult = this;
	for (i = this.getWidth(); i < numWidth; i++) {
		strResult += " ";
	}
    return strResult;
}

String.prototype.getWidth = function()
{
	var numResult = 0;
	for (i=0; i<this.length; i++) {
		numResult++;
		if (this.charCodeAt(i) > 0xFF) {
			numResult++;
		}
	}
    return numResult;
}

/////////////////////////////////////////////////////
// Scripting.FileSystemObject
var FSO_ForReading      = 1;
var FSO_ForWriting      = 2;
var FSO_ForAppending    = 8;
// for GetSpecialFolder
var FSO_WindowsFolder   = 0;
var FSO_SystemFolder    = 1;
var FSO_TemporaryFolder = 2;

var fso = null;

function InitFso()
{
	fso = new ActiveXObject("Scripting.FileSystemObject")
}

// FileSystem Function
function CreateFolderEx(foldername)
{
	if (!fso.FolderExists(foldername)) {
		fso.CreateFolder(foldername);
	}
}
function CreateTempFile()
{
   var tfolder = 2;
   tfolder = fso.GetSpecialFolder(FSO_TemporaryFolder);
   return(tfolder + "\\" + fso.GetTempName());
}

/////////////////////////////////////////////////////
// Cimv2
var oCimv2 = null;
var ErrExecSQL = null;

function InitCimv2()
{
	oCimv2 = GetObject("winmgmts:\\\\.\\root\\cimv2");
}
function OpenCimv2Table(strSQL)
{
	ErrExecSQL = strSQL;
	if (oCimv2 == null) {
		InitCimv2();
	}
	return new Enumerator(oCimv2.ExecQuery(strSQL));
}

/////////////////////////////////////////////////////
// StdRegProv object
var HKEY_CLASSES_ROOT   = 0x80000000;
var HKEY_CURRENT_USER   = 0x80000001;
var HKEY_LOCAL_MACHINE  = 0x80000002;
var HKEY_USERS          = 0x80000003;
var HKEY_CURRENT_CONFIG = 0x80000005;
var HKEY_DYN_DATA       = 0x80000006;  // Windows 95 and Windows 98 computers only.

var GUID_NET_CLASS = "{4D36E972-E325-11CE-BFC1-08002bE10318}";

var oStdRegProv = null;

function InitStdRegProv()
{
	oStdRegProv = GetObject("winmgmts:{impersonationLevel=impersonate}!\\\\.\\root\\default:StdRegProv");
}

/////////////////////////////////////////////////////
// w肵WXgL[̃TuL[񋓂֐
function GetRegSubKeysToArr( hDefKey, strRegKey)
{
	var result = null;
	if (oStdRegProv == null) {
		InitStdRegProv();
	}
	var method  = oStdRegProv.Methods_.Item("EnumKey");
	var iParams = method.InParameters.SpawnInstance_();
	
	try {
		var method_result;
		iParams.hDefKey = hDefKey;
		iParams.sSubKeyName = strRegKey; 
		method_result = oStdRegProv.ExecMethod_(method.Name, iParams);
		result = method_result.sNames.toArray();
	} catch(e) {
		result = null;
	}
	return result;
}

/////////////////////////////////////////////////////
// w肵WXg̒l擾֐
function GetRegStringValue( hDefKey, sSubKeyName, sValueName)
{
	var result;
	if (oStdRegProv == null) {
		InitStdRegProv();
	}
	var method  = oStdRegProv.Methods_.Item("GetStringValue");
	var iParams = method.InParameters.SpawnInstance_();
	
	iParams.hDefKey     = hDefKey;
	iParams.sSubKeyName = sSubKeyName; 
	iParams.sValueName  = sValueName; 
	result = oStdRegProv.ExecMethod_(method.Name, iParams);
	return result.sValue;
}

